curl --request POST \
--url https://apix.us.amity.co/api/v4/stories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"text": "example text",
"fileId": "<string>",
"imageDisplayMode": "fit"
},
"targetType": "community",
"targetId": "public_community_id",
"referenceId": "<string>",
"items": [
{
"type": "hyperlink",
"data": {
"url": "https://www.google.com",
"customText": "Google"
}
}
],
"metadata": {
"anything": "you want"
}
}
'import requests
url = "https://apix.us.amity.co/api/v4/stories"
payload = {
"data": {
"text": "example text",
"fileId": "<string>",
"imageDisplayMode": "fit"
},
"targetType": "community",
"targetId": "public_community_id",
"referenceId": "<string>",
"items": [
{
"type": "hyperlink",
"data": {
"url": "https://www.google.com",
"customText": "Google"
}
}
],
"metadata": { "anything": "you want" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {text: 'example text', fileId: '<string>', imageDisplayMode: 'fit'},
targetType: 'community',
targetId: 'public_community_id',
referenceId: '<string>',
items: [
{type: 'hyperlink', data: {url: 'https://www.google.com', customText: 'Google'}}
],
metadata: {anything: 'you want'}
})
};
fetch('https://apix.us.amity.co/api/v4/stories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stories": [
{
"storyId": "<string>",
"data": {
"text": "<string>",
"fileId": "<string>",
"imageDisplayMode": "fit",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
}
},
"path": "<string>",
"creatorId": "<string>",
"creatorPublicId": "<string>",
"targetId": "<string>",
"targetPublicId": "<string>",
"items": [],
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"isDeleted": false,
"hasFlaggedComment": false,
"mentionedUsers": [
{
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123,
"referenceId": "<string>"
}
],
"comments": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"roles": [
{
"roleId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"isDeleted": false,
"displayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"categoryId": "<string>",
"name": "<string>",
"metadata": {},
"avatarFileId": "<string>",
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Create a story
Create a story
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Main data contained in the story, required only 1 field depends on dataType. The size of this object must be less than 10 KB.
Show child attributes
Show child attributes
text, image, video where to create story to. currently limited to community only
community Resource public id depends on target type (ex. target type is community, target id will be community public id)
"public_community_id"
the id used for reference when optimistically create the story
List of items contained in story. Currently only support hyperlink item. Only one hyperlink item is allowed per story.
10Show child attributes
Show child attributes
Metadata of the story. The size of this object must be less than 5 KB
{ "anything": "you want" }
Response
Create Result
Create story response payload
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes